import { Tag } from "antd"

/** 阅文  链接类型 */
export const LINKTYPE = {
    1: '页面链接',
    2: '作品链接',
    3: '模板充值活动链接',
    4: '模版直赠活动链接',
    5: '模板消耗活动链接'
}

export const LINKTYPEEle = {
    1: <Tag color="magenta">页面链接</Tag>,
    2: <Tag color="red">作品链接</Tag>,
    3: <Tag color="volcano">模板充值活动链接</Tag>,
    4: <Tag color="orange">模版直赠活动链接</Tag>,
    5: <Tag color="gold">模板消耗活动链接</Tag>
}

// 1=书城首页2=排行榜(自动)3=排行榜(男生)4=排行榜(女生)5=充值页6=最近阅读(列表)7=限免专区8=签到页面9=个人中心10=置顶公众号引导11=新用户充值活动页12=最近阅读(最近阅读作品)13=意见反馈
export const PAGETYPE = {
    1: '书城首页',
    2: '排行榜(自动)',
    3: '排行榜(男生)',
    4: '排行榜(女生)',
    5: '充值页',
    6: '最近阅读(列表)',
    7: '限免专区',
    8: '签到页面',
    9: '个人中心',
    10: '置顶公众号引导',
    11: '新用户充值活动页',
    12: '最近阅读(最近阅读作品)',
    13: '意见反馈'
}

// 1 默认风格，2 男生风格，3 女生风格，4 教师节，5 中秋节，6 周末风格，7 国庆节，8 重阳节，9 万圣节，10 双十一，11 双十二，12 圣诞节，13 元旦，16 春节，
// 17 元宵节，18 情人节，19 春季踏青，20 劳动节，21 端午节，23 女神节，24 七夕
/**活动主题 */
export const ACTICITYTHEME = {
    1: '默认风格',
    2: '男生风格',
    3: '女生风格',
    4: '教师节',
    5: '中秋节',
    6: '周末风格',
    7: '国庆节',
    8: '重阳节',
    9: '万圣节',
    10: '双十一',
    11: '双十二',
    12: '圣诞节',
    13: '元旦',
    16: '春节',
    17: '元宵节',
    18: '情人节',
    19: '春季踏青',
    20: '劳动节',
    21: '端午节',
    23: '女神节',
    24: '七夕'
}

/** 模板消耗主题 */
export const ACTICITYTHEMEXH = {
    25: '七夕风格',
    26: '默认风格',
    29: '国庆风格',
    30: '中秋风格',
    33: '圣诞风格',
    34: '春节风格',
    35: '元旦风格'
}

// 活动展示位（可选，多个用逗号分隔）：1=阅读页 banner2=客服消息3=首页 banner4=活动中心
export const DISPLAYTYPE = {
    '1': '阅读页banner',
    '2': '客服消息',
    '3': '首页banner',
    '4': '活动中心'
}

// 赠送道具类型：1 书券
export const RESOURCETTYPE = {
    1: '书卷'
}